# this file may be included by "include geminit.inc" within MiNT.Cnf
echo running geminit.inc...

# replace m: by the drive of your choice
echo setting symbolic links...
sln m:\bin u:\bin
sln m:\etc u:\etc
sln m:\usr u:\usr
sln m:\home u:\home
sln m:\var u:\var

# you may "rename" prn, if you like
sln u:\dev\prn u:\dev\Printer

# some perhaps usefull (symbolic) links
sln u:\etc\syslog.pid u:\var\run\syslog.pid
sln u:\usr\sbin\init.app u:\usr\etc\init.app
sln u:\usr\sbin\init.rsc u:\usr\etc\init.rsc
sln u:\usr\man u:\usr\share\man
sln u:\etc\utmp u:\var\adm\utmp

# you may modify the access rights of GEMDOS drives, if you
# uncomment the following lines - but you will loose security
#echo chmod tosfs...
#exec u:\bin\chmod -v 664 u:\a
#exec u:\bin\chmod -v 664 u:\b
#exec u:\bin\chmod -v 664 u:\c

# you even may rename drives, if you like
echo renaming drives...
ren u:\a u:\Disk_A
ren u:\b u:\Disk_B
ren u:\c u:\boot

# environment variables
echo setting environment...
setenv UNIXMODE /brUs
#setenv UNIXMODE .,/dLAHrU should also work

setenv TZ MET-1MEST,M3.5.0,M10.5.0/3

# this path is default
#setenv NLSPATH /usr/share/locale/

setenv LINES 40
setenv COLUMNS 80

# renaming terminal lines
echo renaming terminal lines...
sln u:\dev\modem1 u:\dev\ttya
sln u:\dev\modem2 u:\dev\ttyb
sln u:\dev\serial1 u:\dev\ttyc
sln u:\dev\serial2 u:\dev\ttyd
sln u:\dev\midi u:\dev\ttye

# for miniwin
echo linking pseudo ttys...
sln U:\pipe\pty.A u:\dev\pty.A
sln U:\pipe\pty.B u:\dev\pty.B
sln U:\pipe\pty.C u:\dev\pty.C
sln U:\pipe\pty.D u:\dev\pty.D
sln U:\pipe\pty.E u:\dev\pty.E
sln U:\pipe\pty.F u:\dev\pty.F
sln U:\pipe\pty.G u:\dev\pty.G
sln U:\pipe\pty.H u:\dev\pty.H
sln U:\pipe\pty.I u:\dev\pty.I
sln U:\pipe\pty.J u:\dev\pty.J
sln U:\pipe\pty.K u:\dev\pty.K
